| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
USART Stop Bits
USART Control Codes

Defines the number of stop bits. More...

## Macros

#define | ARM_USART_STOP_BITS_1 (0UL << ARM_USART_STOP_BITS_Pos)
| 1 Stop bit (default)
#define | ARM_USART_STOP_BITS_2 (1UL << ARM_USART_STOP_BITS_Pos)
| 2 Stop bits
#define | ARM_USART_STOP_BITS_1_5 (2UL << ARM_USART_STOP_BITS_Pos)
| 1.5 Stop bits
#define | ARM_USART_STOP_BITS_0_5 (3UL << ARM_USART_STOP_BITS_Pos)
| 0.5 Stop bits

## Description

Defines the number of stop bits.

See Also
  ARM_USART_Control

## Macro Definition Documentation

#define ARM_USART_STOP_BITS_0_5 (3UL << ARM_USART_STOP_BITS_Pos)

0.5 Stop bits

See Also
  ARM_USART_Control

#define ARM_USART_STOP_BITS_1 (0UL << ARM_USART_STOP_BITS_Pos)

1 Stop bit (default)

See Also
  ARM_USART_Control

#define ARM_USART_STOP_BITS_1_5 (2UL << ARM_USART_STOP_BITS_Pos)

1.5 Stop bits

See Also
  ARM_USART_Control

#define ARM_USART_STOP_BITS_2 (1UL << ARM_USART_STOP_BITS_Pos)

2 Stop bits

See Also
  ARM_USART_Control